*{
  padding:0;
  margin:0;
}
body{
background:rgb(32,44,51)!important;
}
#statusCarousel .carousel-item{
    background:#111B21!important;
    user-select:none;
}
.btn_share {
    filter: drop-shadow(2px 2px 4px rgba(0, 0, 0, 0.8))!important;
}

.ad_icon{
    background:rgba(0,0,0,.5);
    color:#fff;
    padding:2px 7px;
    font-weight:bold;
    position:absolute;
    top:15px;
    left:10px;
    font-size:14px;
    border-radius:5px;
    z-index:999;
}

.view_more_btn{
    border:none;
    outline:none;
    background-color:#fff;
    color:#000;
    font-weight:500;
    font-size:14px;
    border-radius:10px;
    backdrop-filter: blur(8px);
    box-shadow:0px 0px 10px rgba(0,0,0,.5);
    position:absolute;
    bottom:10px;
    left:50%;
    padding:5px 15px;
    transform:translateX(-50%);
    animation: buttonAnimation 1s infinite;
    transition: animation .3s;
    z-index:999;
}
.view_more_btn a{
    text-decoration:none;
    color:#000;
    padding:1px 15px;
}
@keyframes buttonAnimation {
     0% {
    bottom: 100px;
    transition: animation .3s;
  }
  50% {
    bottom:103px;
    transition: animation .3s;
  }
  100% {
    bottom: 100px;
    transition: animation .3s;
  }
}
#statusCarousel .carousel-caption-ads{
    bottom:50px!important;
}
.full_height{
    height:100%!important;
    width:auto!important;
}
.grid_container{
  display: grid;
  grid-template-columns: 1fr 1fr;
}
.mobile_div{
    position: relative;
    height: 100%;
    width: calc(100vh * 9 / 16);
    background-color: #f0f0f0;
    margin: 0 auto;
    overflow-y: auto;

}
.edit_div_box{
  width: 100%;
  height: 100vh;
  background: #2e3542;
}
#statusCarousel{
  height:100%;
  overflow: hidden;
}
.carousel-indicators{
  top:0;
}
.carousel-indicators [data-bs-target]{
  width:100%;
}
#statusCarousel .carousel-item{
  background: #000;
  position:relative;
  height: 100vh;
}
#statusCarousel .carousel-item #media{
  position: absolute;
  top:50%;
  left:50%;
  transform:translate(-50%,-50%);
  width: 100%;
  height:100%;
  z-index:1;
  
}

#statusCarousel .carousel-item .media_div_child{
  position: relative;
  height:100%;
  width:100%;
  
}
#statusCarousel .carousel-item .media_div_child img,#statusCarousel .carousel-item .media_div_child video{
  position: absolute;
  top:50%;
  left:50%;
  transform:translate(-50%,-50%);
  height:100%;
  width: auto;
  
  z-index:1;

}

.animated_image_zoom_out{
  height: auto;
  animation-name: animated_image_zoom_out;
  animation-timing-function: ease;
  animation-duration: 5s;
  
}
.animated_image_zoom_in{
  height:auto;
  z-index:999;
  animation: animated_image_zoom_in 10s infinite ease-in-out;
}
#statusCarousel .carousel-item .animated_image_zoom_around{
  height:100%!important;
  width:auto!important;
  left:0;
  top:0;
  transform:translateX(0%);
 
  animation-name: animated_image_zoom_around;
  animation-timing-function: ease-in-out;
  animation-duration: 6s;
  animation-iteration-count: infinite;
}
#statusCarousel .carousel-caption{
  font-size:16px;
  font-weight: bold;
  line-height: 1.5;
  bottom:10px;
  left: 50%;
  transform: translateX(-50%);
  padding: 10px 15px;
  width: 100%;
  position: absolute;
  text-align: center;
  z-index:9;
  user-select:none;
}
#statusCarousel .carousel-caption p{
  position: relative;
  margin: 0;
  background: rgba(0,0,0,.3);
  padding: 10px;
     margin-left: -15px;
    margin-right: -15px;
}
#statusCarousel .carousel-caption .text_annimation_left{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  width: 100%;
  overflow: hidden;
  animation-name: text_annimation_left;
  animation-timing-function: ease;
  animation-duration: 3s;
}
.animated_line{
  height:6px;
  margin: auto;
  margin-bottom: 5px;
  width:80%;
  background: red;
  border-radius: 5px;
  animation-name: animated_line;
  animation-timing-function: ease;
  animation-duration: 3s;
}
.animated_text_opacity{
  animation-name: animated_text_opacity;
  animation-timing-function: ease;
  animation-duration: 3s;
}
    
.carousel-item .overlay-image {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-size: cover;
      background-position: center;
      filter: blur(10px);
      opacity:.7;
    }

    .carousel-item .overlay-content {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      color: white;
      text-align: center;
    }

@keyframes animated_line {
  from {width: 0%;}
  to {width:80%;}
}
@keyframes animated_text_opacity {
  from {height: auto;}
  to {height: 200%;}
}
@keyframes animated_image_zoom_out {
  from {width:200%;height:200%;}
  to {width:100%;height:100%;}
}
@keyframes animated_image_zoom_in {
  from {width:50%;height:50%;}
  to {width:100%;height:100%;}
}
@keyframes animated_image_zoom_around{
  0% {transform:translateX(0%);}
  50% {transform:translateX(-50%);}
  100% {transform:translateX(0%);}
}
@keyframes text_annimation_left {
  from {left:0%;}
  to {left: auto;}
}

@media only screen and (max-width:500px){
    body{
        height:100vh;
        overflow:hidden;
    }
    .mobile_div{
    position: relative;
    height: 100vh;
    width: 100%;
    background-color: #f0f0f0;
    margin: 0 auto;
    overflow-y: auto;
    
}
#statusCarousel{
     height: 100vh;
}
#statusCarousel .carousel-item{
  height: 93vh;
}
}
/*=================================*/


